Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.services
Class TransformConstants

    java.lang.Object
      org.apache.tapestry5.services.TransformConstants

    public final class TransformConstants

extends java.lang.Object

Constants used by implementations of `ComponentClassTransformWorker` and `ComponentClassTransformWorker2`.

Note: methods on transformed components will not be invoked unless the component model is updated to identify the use of the corresponding render phase.

Field Summary
`static MethodDescription` | `AFTER_RENDER_BODY_DESCRIPTION` Description for `Component.afterRenderBody(MarkupWriter, Event)`.
`static TransformMethodSignature` | `AFTER_RENDER_BODY_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `AFTER_RENDER_BODY_DESCRIPTION`
`static MethodDescription` | `AFTER_RENDER_DESCRIPTION` Description for `Component.afterRender(MarkupWriter, Event)`
`static TransformMethodSignature` | `AFTER_RENDER_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `AFTER_RENDER_DESCRIPTION`
`static MethodDescription` | `AFTER_RENDER_TEMPLATE_DESCRIPTION` Description for `Component.afterRenderTemplate(MarkupWriter, Event)`.
`static TransformMethodSignature` | `AFTER_RENDER_TEMPLATE_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `AFTER_RENDER_TEMPLATE_DESCRIPTION`
`static MethodDescription` | `BEFORE_RENDER_BODY_DESCRIPTION` Description for `Component.beforeRenderBody(MarkupWriter, Event)`.
`static TransformMethodSignature` | `BEFORE_RENDER_BODY_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `BEFORE_RENDER_BODY_DESCRIPTION`
`static MethodDescription` | `BEFORE_RENDER_TEMPLATE_DESCRIPTION` Description for `Component.beforeRenderTemplate(MarkupWriter, Event)`.
`static TransformMethodSignature` | `BEFORE_RENDER_TEMPLATE_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `BEFORE_RENDER_TEMPLATE_DESCRIPTION`
`static MethodDescription` | `BEGIN_RENDER_DESCRIPTION` Description for `Component.beginRender(MarkupWriter, Event)`.
`static TransformMethodSignature` | `BEGIN_RENDER_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `BEGIN_RENDER_DESCRIPTION`
`static MethodDescription` | `CLEANUP_RENDER_DESCRIPTION` Description for `Component.cleanupRender(MarkupWriter, Event)`.
`static TransformMethodSignature` | `CLEANUP_RENDER_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `CLEANUP_RENDER_DESCRIPTION`
`static MethodDescription` | `CONTAINING_PAGE_DID_ATTACH_DESCRIPTION` Deprecated. Deprecated in 5.3, along with `PageAttached`.
`static TransformMethodSignature` | `CONTAINING_PAGE_DID_ATTACH_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `CONTAINING_PAGE_DID_ATTACH_DESCRIPTION`
`static MethodDescription` | `CONTAINING_PAGE_DID_DETACH_DESCRIPTION` Deprecated. Deprecated in 5.3, with `PageDetached`.
`static TransformMethodSignature` | `CONTAINING_PAGE_DID_DETACH_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `CONTAINING_PAGE_DID_DETACH_DESCRIPTION`
`static MethodDescription` | `CONTAINING_PAGE_DID_LOAD_DESCRIPTION` Description for `PageLifecycleListener.containingPageDidLoad()`.
`static TransformMethodSignature` | `CONTAINING_PAGE_DID_LOAD_SIGNATURE` Deprecated. Deprecated in 5.3, use `CONTAINING_PAGE_DID_LOAD_DESCRIPTION`.
`static MethodDescription` | `CONTAINING_PAGE_DID_RESET_DESCRIPTION` Description for `PageResetListener.containingPageDidReset()`.
`static TransformMethodSignature` | `DISPATCH_COMPONENT_EVENT` Deprecated. Deprecated in Tapestry 5.3, use `DISPATCH_COMPONENT_EVENT_DESCRIPTION`.
`static MethodDescription` | `DISPATCH_COMPONENT_EVENT_DESCRIPTION` Description for `Component.dispatchComponentEvent(org.apache.tapestry5.runtime.ComponentEvent)` .
`static MethodDescription` | `POST_RENDER_CLEANUP_DESCRIPTION` Description for `Component.postRenderCleanup()`.
`static TransformMethodSignature` | `POST_RENDER_CLEANUP_SIGNATURE` Signature for `Component.postRenderCleanup()`.
`static TransformMethodSignature` | `RESTORE_STATE_BEFORE_PAGE_ATTACH_SIGNATURE` Deprecated. Deprecated in 5.3, with no replacement.
`static MethodDescription` | `SETUP_RENDER_DESCRIPTION` Description for `Component.setupRender(MarkupWriter, Event)`.
`static TransformMethodSignature` | `SETUP_RENDER_SIGNATURE` Deprecated. Deprecated in Tapestry 5.3, use `SETUP_RENDER_DESCRIPTION`

Constructor Summary
`TransformConstants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DISPATCH_COMPONENT_EVENT

    public static final TransformMethodSignature DISPATCH_COMPONENT_EVENT

  Deprecated. Deprecated in Tapestry 5.3, use `DISPATCH_COMPONENT_EVENT_DESCRIPTION`.
  Signature for `Component.dispatchComponentEvent(org.apache.tapestry5.runtime.ComponentEvent)` .

  See Also:
    `OnEvent`

### DISPATCH_COMPONENT_EVENT_DESCRIPTION

    public static final MethodDescription DISPATCH_COMPONENT_EVENT_DESCRIPTION

  Description for `Component.dispatchComponentEvent(org.apache.tapestry5.runtime.ComponentEvent)` .

  Since:
    5.3
  See Also:
    `OnEvent`

### CONTAINING_PAGE_DID_LOAD_SIGNATURE

    public static final TransformMethodSignature CONTAINING_PAGE_DID_LOAD_SIGNATURE

  Deprecated. Deprecated in 5.3, use `CONTAINING_PAGE_DID_LOAD_DESCRIPTION`.
  Signature for `PageLifecycleListener.containingPageDidLoad()`.

### CONTAINING_PAGE_DID_LOAD_DESCRIPTION

    public static final MethodDescription CONTAINING_PAGE_DID_LOAD_DESCRIPTION

  Description for `PageLifecycleListener.containingPageDidLoad()`.

  Since:
    5.3

### CONTAINING_PAGE_DID_RESET_DESCRIPTION

    public static final MethodDescription CONTAINING_PAGE_DID_RESET_DESCRIPTION

  Description for `PageResetListener.containingPageDidReset()`. Note that the `PageResetListener` interface is not automatically implemented by components. ]

  Since:
    5.3
  See Also:
    `PageReset`, `PageResetAnnotationWorker`

### POST_RENDER_CLEANUP_SIGNATURE

    public static final TransformMethodSignature POST_RENDER_CLEANUP_SIGNATURE

  Signature for `Component.postRenderCleanup()`.

### POST_RENDER_CLEANUP_DESCRIPTION

    public static final MethodDescription POST_RENDER_CLEANUP_DESCRIPTION

  Description for `Component.postRenderCleanup()`.

  Since:
    5.3

### CONTAINING_PAGE_DID_DETACH_SIGNATURE

    public static final TransformMethodSignature CONTAINING_PAGE_DID_DETACH_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `CONTAINING_PAGE_DID_DETACH_DESCRIPTION`
  Signature for `PageLifecycleListener.containingPageDidDetach()`.

### CONTAINING_PAGE_DID_DETACH_DESCRIPTION

    public static final MethodDescription CONTAINING_PAGE_DID_DETACH_DESCRIPTION

  Deprecated. Deprecated in 5.3, with `PageDetached`.
  Description for `PageLifecycleListener.containingPageDidDetach()`.

  Since:
    5.3

### CONTAINING_PAGE_DID_ATTACH_SIGNATURE

    public static final TransformMethodSignature CONTAINING_PAGE_DID_ATTACH_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `CONTAINING_PAGE_DID_ATTACH_DESCRIPTION`
  Signature for `PageLifecycleListener.containingPageDidAttach()`.

### CONTAINING_PAGE_DID_ATTACH_DESCRIPTION

    public static final MethodDescription CONTAINING_PAGE_DID_ATTACH_DESCRIPTION

  Deprecated. Deprecated in 5.3, along with `PageAttached`.
  Description for `PageLifecycleListener.containingPageDidAttach()`.

  Since:
    5.3

### RESTORE_STATE_BEFORE_PAGE_ATTACH_SIGNATURE

    public static final TransformMethodSignature RESTORE_STATE_BEFORE_PAGE_ATTACH_SIGNATURE

  Deprecated. Deprecated in 5.3, with no replacement.
  Signature for `PageLifecycleListener.restoreStateBeforePageAttach()`

  Since:
    5.1.0.1

### SETUP_RENDER_SIGNATURE

    public static final TransformMethodSignature SETUP_RENDER_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `SETUP_RENDER_DESCRIPTION`
  Signature for `Component.setupRender(MarkupWriter, Event)`.

  See Also:
    `SetupRender`

### SETUP_RENDER_DESCRIPTION

    public static final MethodDescription SETUP_RENDER_DESCRIPTION

  Description for `Component.setupRender(MarkupWriter, Event)`.

  Since:
    5.3
  See Also:
    `SetupRender`

### BEGIN_RENDER_SIGNATURE

    public static final TransformMethodSignature BEGIN_RENDER_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `BEGIN_RENDER_DESCRIPTION`
  Signature for `Component.beginRender(MarkupWriter, Event)`.

  See Also:
    `BeginRender`

### BEGIN_RENDER_DESCRIPTION

    public static final MethodDescription BEGIN_RENDER_DESCRIPTION

  Description for `Component.beginRender(MarkupWriter, Event)`.

  Since:
    5.3
  See Also:
    `BeginRender`

### BEFORE_RENDER_TEMPLATE_SIGNATURE

    public static final TransformMethodSignature BEFORE_RENDER_TEMPLATE_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `BEFORE_RENDER_TEMPLATE_DESCRIPTION`
  Signature for `Component.beforeRenderTemplate(MarkupWriter, Event)`.

  See Also:
    `BeforeRenderTemplate`

### BEFORE_RENDER_TEMPLATE_DESCRIPTION

    public static final MethodDescription BEFORE_RENDER_TEMPLATE_DESCRIPTION

  Description for `Component.beforeRenderTemplate(MarkupWriter, Event)`.

  Since:
    5.3
  See Also:
    `BeforeRenderTemplate`

### AFTER_RENDER_TEMPLATE_SIGNATURE

    public static final TransformMethodSignature AFTER_RENDER_TEMPLATE_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `AFTER_RENDER_TEMPLATE_DESCRIPTION`
  Signature for `Component.afterRenderTemplate(MarkupWriter, Event)`.

  See Also:
    `BeforeRenderTemplate`

### AFTER_RENDER_TEMPLATE_DESCRIPTION

    public static final MethodDescription AFTER_RENDER_TEMPLATE_DESCRIPTION

  Description for `Component.afterRenderTemplate(MarkupWriter, Event)`.

  Since:
    5.3
  See Also:
    `BeforeRenderTemplate`

### BEFORE_RENDER_BODY_SIGNATURE

    public static final TransformMethodSignature BEFORE_RENDER_BODY_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `BEFORE_RENDER_BODY_DESCRIPTION`
  Signature for `Component.beforeRenderBody(MarkupWriter, Event)`.

  See Also:
    `BeforeRenderBody`

### BEFORE_RENDER_BODY_DESCRIPTION

    public static final MethodDescription BEFORE_RENDER_BODY_DESCRIPTION

  Description for `Component.beforeRenderBody(MarkupWriter, Event)`.

  Since:
    5.3
  See Also:
    `BeforeRenderBody`

### AFTER_RENDER_BODY_SIGNATURE

    public static final TransformMethodSignature AFTER_RENDER_BODY_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `AFTER_RENDER_BODY_DESCRIPTION`
  Signature for `Component.afterRenderBody(MarkupWriter, Event)`.

  See Also:
    `AfterRenderBody`

### AFTER_RENDER_BODY_DESCRIPTION

    public static final MethodDescription AFTER_RENDER_BODY_DESCRIPTION

  Description for `Component.afterRenderBody(MarkupWriter, Event)`.

  Since:
    5.3
  See Also:
    `AfterRenderBody`

### AFTER_RENDER_SIGNATURE

    public static final TransformMethodSignature AFTER_RENDER_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `AFTER_RENDER_DESCRIPTION`
  Signature for `Component.afterRender(MarkupWriter, Event)`

  See Also:
    `AfterRender`

### AFTER_RENDER_DESCRIPTION

    public static final MethodDescription AFTER_RENDER_DESCRIPTION

  Description for `Component.afterRender(MarkupWriter, Event)`

  Since:
    5.3
  See Also:
    `AfterRender`

### CLEANUP_RENDER_SIGNATURE

    public static final TransformMethodSignature CLEANUP_RENDER_SIGNATURE

  Deprecated. Deprecated in Tapestry 5.3, use `CLEANUP_RENDER_DESCRIPTION`
  Signature for `Component.cleanupRender(MarkupWriter, Event)`.

  See Also:
    `CleanupRender`

### CLEANUP_RENDER_DESCRIPTION

    public static final MethodDescription CLEANUP_RENDER_DESCRIPTION

  Description for `Component.cleanupRender(MarkupWriter, Event)`.

  Since:
    5.3
  See Also:
    `CleanupRender`

Constructor Detail

### TransformConstants

    public TransformConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.